<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('businesses', function (Blueprint $table) {
            $table->id();
            $table->string('shop_name');
            $table->string('phone_number')->unique();
            $table->string('password');
            $table->string('plan_type')->default('free'); // free, basic, premium
            $table->date('plan_expiry_date')->nullable();
            $table->enum('plan_status', ['active', 'expired'])->default('active');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('businesses');
    }
};